      subroutine janameit(n,infl,c1,outfl,c)
      character*1 c1
      character*(*) infl
      character*(*) outfl
      character*(*) c(*)
      ic=index(infl,c1)-1
      outfl=infl(1:ic)
      do i=1,n
         itrim=index(outfl,' ')-1
         outfl=outfl(1:itrim)//c(i)
      enddo
      return
      end
